For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve order status information

Get information about an existing order.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.

refNo

Required (string) The unique, system-generated identifier of a partner order.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$refNo = 'YOUR_ORDER_REFERENCE'

try {
    $Order= $client->getOrderStatus($sessionID, $refNo);
} catch (SoapFault $e) {
    echo "Orderinfo: " . $e->getMessage();
    exit;
}
var_dump ("Orderinfo", $Order);

Response parameters

Parameter
Type

Object

Errors

Error
Description

INVALID_PARTNER

No partner is set.

INVALID_REFERENCE

The provided order reference is invalid.

Last updated

Was this helpful?